# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import datetime
import ckeditor.fields
import lib.colorfield.fields
import django_extensions.db.fields


class Migration(migrations.Migration):

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Answer',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('value', models.CharField(max_length=1024, null=True, blank=True)),
                ('value_uuids', models.CharField(max_length=1024, null=True, blank=True)),
                ('value_old', models.CharField(max_length=1024, null=True, blank=True)),
                ('justification', models.TextField(verbose_name=b'Justification', blank=True)),
                ('target_uuid', models.CharField(max_length=36, null=True, blank=True)),
                ('timestamp', models.DateTimeField(null=True)),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'Answer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Assessment',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('name', models.CharField(max_length=1024, null=True, blank=True)),
                ('state', models.CharField(default=b'open', max_length=10, choices=[(b'initial', 'Initial'), (b'open', 'Open'), (b'closed', 'Closed')])),
            ],
            options={
                'ordering': ('created_time',),
                'abstract': False,
                'db_table': 'Assessment',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AssessmentDocumentLink',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('is_done', models.BooleanField(default=False, verbose_name='Is done?')),
                ('timestamp', models.DateTimeField()),
            ],
            options={
                'db_table': 'AssessmentDocumentLink',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AssessmentResult',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('text', models.TextField(null=True, blank=True)),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'AssessmentResult',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AssessmentShare',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'AssessmentShare',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AssessmentSharePermission',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('permission_name', models.CharField(max_length=1000)),
                ('permission_data', models.TextField(max_length=10000, blank=True)),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'AssessmentSharePermission',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='AssessmentType',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('kind', models.CharField(default=b'assessment', max_length=10, choices=[(b'assessment', b'assessment'), (b'agriform', b'agriform'), (b'agriform2', b'agriform2')])),
                ('name', models.CharField(default=b'New assessment type', max_length=1000, verbose_name=b'Name')),
                ('description', ckeditor.fields.RichTextField(default=b'', verbose_name=b'Description', blank=True)),
                ('code', models.CharField(default=b'', max_length=1000, blank=True)),
                ('version', models.CharField(default=b'1', max_length=1000)),
                ('has_product_selection', models.BooleanField(default=True)),
                ('is_public', models.BooleanField(default=True)),
                ('has_logo', models.BooleanField(default=True)),
                ('assessment_sections', models.TextField(default=b'overview,evidence,questionnaires,results,sharing', blank=True)),
                ('available_languages', models.CharField(default=b'en,nl,es', max_length=255)),
                ('logo_small', models.ImageField(upload_to=b'assessment-type-logos', null=True, verbose_name='logo small', blank=True)),
                ('logo_large', models.ImageField(upload_to=b'assessment-type-logos', null=True, verbose_name='logo large', blank=True)),
            ],
            options={
                'ordering': ('code',),
                'abstract': False,
                'db_table': 'AssessmentType',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Category',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('name', models.CharField(default=b'New category', max_length=1000)),
                ('category_type', models.CharField(max_length=1000, null=True, choices=[(b'domain', b'Domain'), (b'subdomain', b'Subdomain'), (b'category1', b'Category 1'), (b'category2', b'Category 2')])),
            ],
            options={
                'ordering': ['name'],
                'abstract': False,
                'db_table': 'Category',
                'verbose_name_plural': 'P4E Categories',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='ContentPackage',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('code', models.CharField(max_length=100)),
                ('name', models.CharField(max_length=1000)),
                ('major_version', models.IntegerField(default=1)),
                ('minor_version', models.IntegerField(default=0)),
            ],
            options={
                'ordering': ['code', 'major_version', 'minor_version'],
                'db_table': 'ContentPackage',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Judgement',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('value', models.CharField(max_length=1024, null=True, blank=True)),
                ('justification', models.TextField(verbose_name=b'Justification', blank=True)),
                ('evaluation_is_solved', models.BooleanField(default=False)),
                ('evaluation_remarks', models.TextField(null=True, blank=True)),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'Judgement',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PossibleAnswer',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('text', models.CharField(max_length=1000, null=True, verbose_name=b'Label', blank=True)),
                ('value', models.CharField(max_length=1000, verbose_name=b'Value', blank=True)),
                ('code', models.CharField(max_length=255, null=True, verbose_name=b'Code', blank=True)),
                ('answer_type', models.CharField(default=b'text', max_length=1000, verbose_name=b'Answer type', blank=True, choices=[(b'text', b'Text'), (b'integer', b'Integer'), (b'decimal', b'Decimal'), (b'other', b'Other')])),
                ('default', models.BooleanField(default=False)),
                ('order_index', models.PositiveSmallIntegerField(default=0)),
                ('background_color', models.CharField(default=b'', max_length=10, verbose_name=b'Background colour', blank=True)),
                ('requires_justification', models.BooleanField(default=False, verbose_name=b'Requires justification?')),
                ('requires_attachment', models.BooleanField(default=False, verbose_name=b'Requires attachment')),
            ],
            options={
                'ordering': ['order_index'],
                'db_table': 'PossibleAnswer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='PossibleAnswerSet',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('code', models.CharField(default=b'', max_length=255, blank=True)),
                ('name', models.CharField(default=b'New possible answer set', max_length=1000)),
            ],
            options={
                'db_table': 'PossibleAnswerSet',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='QuestionLevel',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('order_index', models.PositiveSmallIntegerField(default=0)),
                ('code', models.CharField(default=b'', max_length=100)),
                ('title', models.CharField(default=b'', max_length=100, verbose_name=b'Title')),
                ('color', lib.colorfield.fields.ColorField(default=b'#ffffff', max_length=10)),
                ('requires_justification', models.BooleanField(default=False, verbose_name=b'Requires justification?')),
                ('requires_attachment', models.BooleanField(default=False, verbose_name=b'Requires attachment')),
                ('assessment_type', models.ForeignKey(related_name='question_levels', blank=True, to='assessments.AssessmentType', null=True)),
            ],
            options={
                'ordering': ('order_index', 'uuid'),
                'db_table': 'QuestionLevel',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Questionnaire',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('order_index', models.PositiveSmallIntegerField(default=10, verbose_name=b'Order index')),
                ('name', models.CharField(max_length=1004, verbose_name=b'Name', blank=True)),
                ('code', models.CharField(max_length=255, verbose_name=b'Code', blank=True)),
                ('intro_text', models.TextField(verbose_name=b'Intro text', blank=True)),
                ('available_languages', models.TextField(default=b'en', verbose_name=b'Available languages', blank=True)),
                ('requires_signature', models.BooleanField(default=False, verbose_name=b'Requires signature?')),
                ('completeness_check', models.BooleanField(default=False, verbose_name=b'Is required for completeness check?')),
                ('help_document', models.FileField(max_length=255, null=True, upload_to=b'help_documents', blank=True)),
                ('unpublished', models.BooleanField(default=False, verbose_name=b'Unpublished')),
                ('assessment_type', models.ForeignKey(related_name='questionnaires', blank=True, to='assessments.AssessmentType', null=True)),
                ('content_package', models.ForeignKey(related_name='questionnaires', blank=True, to='assessments.ContentPackage', null=True)),
            ],
            options={
                'ordering': ('assessment_type', 'order_index'),
                'abstract': False,
                'db_table': 'Questionnaire',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='QuestionnaireElement',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('is_initially_visible', models.BooleanField(default=True, verbose_name=b'Is initially visible?')),
                ('order_index', models.PositiveSmallIntegerField(default=0)),
                ('code', models.CharField(max_length=100, blank=True)),
                ('element_type', models.CharField(max_length=100, blank=True)),
                ('text', ckeditor.fields.RichTextField(default=b'', verbose_name=b'Text', blank=True)),
                ('extended_text', ckeditor.fields.RichTextField(default=b'', verbose_name=b'Extended text', blank=True)),
            ],
            options={
                'ordering': ('questionnaire__assessment_type', 'questionnaire', 'order_index'),
                'db_table': 'QuestionnaireElement',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('questionnaireelement_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='assessments.QuestionnaireElement')),
                ('help_text', models.TextField(default=b'', verbose_name=b'Help text', blank=True)),
                ('answer_type', models.CharField(default=b'text', max_length=1004, choices=[(b'dropdown', b'Single choice dropdown'), (b'list_single', b'Single choice list'), (b'memo', b'Memo field'), (b'checkboxes', b'Multiple choice checkboxes'), (b'numeric', b'Numeric field'), (b'radio', b'Single choice radio paragraphs'), (b'single_choice_buttons', b'Single choice buttons'), (b'scale', b'Scale field'), (b'text', b'Text field'), (b'context', b'Context question'), (b'yesno', b'Yes/No question'), (b'yesnona', b'Yes/No/NA question')])),
                ('answer_type_data', models.CharField(max_length=1004, null=True, blank=True)),
                ('level', models.CharField(max_length=255, verbose_name=b'Level', blank=True)),
                ('target_type', models.CharField(blank=True, max_length=1000, null=True, choices=[(b'organization', b'Organization'), (b'organization_unit', b'Organization unit'), (b'product', b'Product'), (b'user', b'User')])),
                ('initially_visible', models.BooleanField(default=True, verbose_name=b'Is initially visible?')),
                ('is_statistics_valuable', models.BooleanField(default=True, verbose_name=b'Is statistics valuable')),
                ('scope', models.CharField(blank=True, max_length=1000, null=True, choices=[(b'organization', b'Organization'), (b'organization_unit', b'Organization unit'), (b'product', b'Product'), (b'user', b'User')])),
                ('info1', models.CharField(default=b'', max_length=1000, blank=True)),
                ('info2', models.CharField(default=b'', max_length=1000, blank=True)),
                ('info3', models.CharField(default=b'', max_length=1000, blank=True)),
                ('info4', models.CharField(default=b'', max_length=1000, blank=True)),
                ('info5', models.CharField(default=b'', max_length=1000, blank=True)),
                ('info6', models.CharField(default=b'', max_length=1000, blank=True)),
                ('show_when', models.CharField(default=b'', max_length=1000, verbose_name=b'Show conditions', blank=True)),
                ('hide_when', models.CharField(default=b'', max_length=1000, verbose_name=b'Hide conditions', blank=True)),
                ('covered_by_evidence', models.BooleanField(default=False)),
                ('evidence_default_answer', models.CharField(default=b'', max_length=1000, blank=True)),
                ('evidence_default_justification', models.TextField(default=b'', blank=True)),
                ('framework_p4e', models.CharField(default=b'', max_length=1000, blank=True)),
                ('is_justification_visible', models.BooleanField(default=False)),
                ('justification_placeholder', models.CharField(default=b'', max_length=1000, verbose_name=b'Justification placeholder', blank=True)),
                ('answer_when_attachments', models.CharField(max_length=1000, null=True, blank=True)),
                ('compliance_criteria', models.TextField(default=b'', verbose_name=b'Compliance criteria', blank=True)),
            ],
            options={
                'ordering': ['questionnaire', 'order_index', 'code'],
                'db_table': 'Question',
            },
            bases=('assessments.questionnaireelement',),
        ),
        migrations.CreateModel(
            name='QuestionnaireElementState',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('is_visible', models.BooleanField(default=True, verbose_name=b'Is visible?')),
                ('assessment', models.ForeignKey(related_name='questionnaire_element_states', verbose_name=b'Assessment', to='assessments.Assessment')),
            ],
            options={
                'db_table': 'QuestionnaireElementState',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='QuestionnaireHeading',
            fields=[
                ('questionnaireelement_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='assessments.QuestionnaireElement')),
                ('level', models.IntegerField(default=1)),
            ],
            options={
                'db_table': 'QuestionnaireHeading',
            },
            bases=('assessments.questionnaireelement',),
        ),
        migrations.CreateModel(
            name='QuestionnaireImage',
            fields=[
                ('questionnaireelement_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='assessments.QuestionnaireElement')),
                ('image', models.ImageField(null=True, upload_to=b'', blank=True)),
            ],
            options={
                'db_table': 'QuestionnaireImage',
            },
            bases=('assessments.questionnaireelement',),
        ),
        migrations.CreateModel(
            name='QuestionnaireParagraph',
            fields=[
                ('questionnaireelement_ptr', models.OneToOneField(parent_link=True, auto_created=True, primary_key=True, serialize=False, to='assessments.QuestionnaireElement')),
            ],
            options={
                'db_table': 'QuestionnaireParagraph',
            },
            bases=('assessments.questionnaireelement',),
        ),
        migrations.CreateModel(
            name='QuestionnaireState',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('is_complete', models.BooleanField(default=False, verbose_name=b'Is complete?')),
                ('is_signed', models.BooleanField(default=False, verbose_name=b'Is signed?')),
                ('assessment', models.ForeignKey(related_name='questionnaire_states', to='assessments.Assessment')),
                ('questionnaire', models.ForeignKey(related_name='questionnaire_states', to='assessments.Questionnaire')),
            ],
            options={
                'ordering': ('uuid',),
                'abstract': False,
                'db_table': 'QuestionnaireState',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='QuestionTrigger',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('target_value', models.CharField(default=b'', max_length=1000, null=True, verbose_name=b'Target value', blank=True)),
                ('target_justification', models.TextField(null=True, verbose_name=b'Target justification', blank=True)),
                ('target_visibility', models.NullBooleanField(default=None, verbose_name=b'Target visibility')),
                ('target_element', models.ForeignKey(related_name='incoming_triggers', blank=True, to='assessments.QuestionnaireElement', null=True)),
                ('target_question', models.ForeignKey(related_name='incoming_triggers_question', blank=True, to='assessments.Question', null=True)),
            ],
            options={
                'ordering': ('uuid',),
                'db_table': 'QuestionTrigger',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='QuestionTriggerCondition',
            fields=[
                ('uuid', django_extensions.db.fields.ShortUUIDField(primary_key=True, serialize=False, editable=False, max_length=36, blank=True, name=b'uuid')),
                ('remarks', models.TextField(default=b'', verbose_name='Remarks', blank=True)),
                ('is_test', models.BooleanField(default=False)),
                ('modified_time', models.DateTimeField(default=datetime.datetime.today)),
                ('created_time', models.DateTimeField(default=datetime.datetime.today)),
                ('source_property_name', models.CharField(default=b'value', max_length=1000, choices=[(b'value', b'Value'), (b'justification', b'Justification'), (b'visible', b'Visibility')])),
                ('source_value', models.CharField(default=b'', max_length=100, blank=True)),
                ('source_question', models.ForeignKey(related_name='outgoing_triggers', to='assessments.Question')),
                ('trigger', models.ForeignKey(related_name='conditions', to='assessments.QuestionTrigger')),
            ],
            options={
                'ordering': ('source_question', 'uuid'),
                'db_table': 'QuestionTriggerCondition',
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='questionnaireelementstate',
            name='questionnaire_element',
            field=models.ForeignKey(related_name='questionnaire_element_states', verbose_name=b'Element', to='assessments.QuestionnaireElement'),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='questionnaireelement',
            name='content_package',
            field=models.ForeignKey(related_name='questionnaire_elements', blank=True, to='assessments.ContentPackage', null=True),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='questionnaireelement',
            name='parent_element',
            field=models.ForeignKey(related_name='child_elements', blank=True, to='assessments.QuestionnaireElement', null=True),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name='questionnaireelement',
            name='questionnaire',
            field=models.ForeignKey(related_name='questionnaireelements', blank=True, to='assessments.Questionnaire', null=True),
            preserve_default=True,
        ),
    ]
